> ## Documentation Index
> Fetch the complete documentation index at: https://docs.speccheckrx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Lens Materials

> Returns lens materials for a lab for a given lens style.

```http theme={null}
GET https://api.speccheckrx.com/v1/catalogs/materials
```

### Authentication

This endpoint requires bearer token authentication.

### Headers

<ParamField header="Authorization" type="string" required="true">
  Your bearer token in the format `Bearer <token>`.
</ParamField>

<ParamField header="User-Email" type="string" required="true">
  The email address of the user making the request.

  Must exactly match the email address used to log in to the SpecCheck Dashboard.
</ParamField>

### Parameters

<ParamField query="lab" type="string" required="true">
  The ID of the lab for this request.
</ParamField>

<ParamField query="account_number" type="string" required="true">
  The lab account number for this request.
</ParamField>

<ParamField query="style" type="string" required="true">
  The ID of the lens style.
</ParamField>

### Returns

Returns an object with a `data` array of lens materials. If there are no matching materials, `data` is an empty array.

<ResponseField name="data" type="array of Lens Material Object">
  <Expandable title="Lens Material">
    <ResponseField name="id" type="string">
      The unique identifier for the lens material.
    </ResponseField>

    <ResponseField name="name" type="string">
      The name of the lens material.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "data": [
      {
        "id": "material_123",
        "name": "Polycarbonate"
      }
    ]
  }
  ```
</ResponseExample>

<RequestExample>
  ```bash theme={null}
  curl "https://api.speccheckrx.com/v1/catalogs/materials?lab={{LAB_ID}}&account_number={{ACCOUNT_NUMBER}}&style={{STYLE_ID}}" \
    -H "Authorization: Bearer {{ACCESS_TOKEN}}" \
    -H "User-Email: {{USER_EMAIL}}"
  ```
</RequestExample>
